import axios from '../../../plugins/axios'

export function getApplications(context) {
  axios({
    method: 'get',
    url: '/applicants'
  })
    .then(response => {
      context.commit('setApplications', response.data)
    })
    .catch(err => {
      console.log(err)
    })
}

export function getAvailableStatus(context) {
  axios({
    method: 'get',
    url: '/status'
  })
    .then(response => {
      context.commit('setAvailableStatus', response.data)
    })
    .catch(err => {
      console.log(err)
    })
}

export function changeApplicationStatus(context, data) {
  axios({
    method: 'patch',
    url: '/status/applicant/' + data.id,
    data: data
  })
    .then(response => {
      console.log(response.data)
    })
    .catch(err => {
      console.log(err)
    })
}

export function deleteApplication(context, data) {
  axios({
    method: 'delete',
    url: '/applicant/' + data.id,
    data: data
  })
    .then(response => {
      console.log(response.data)
    })
    .catch(err => {
      console.log(err)
    })
}